### Property

# Malcontent User:locale

since: 0.14.0

#### Declaration

    property locale: utf8 [ read ]

#### Description [src]

The user’s login locale.

This is in the format `language[_territory][.codeset][`modifier`]`, where `language` is an ISO 639 language code, `territory` is an ISO 3166 country code, and `codeset` is a character set or encoding identifier like `ISO-8859-1` or `UTF-8`; as specified by `setlocale(3)`.

This may be `NULL` if not set on the system. If it’s the empty string (`""`) then the user is using the system default locale.

Type:`gchar*`

Available since: 0.14.0

Default value | NULL
Getter method | `mct_user_get_locale()`

#### Flags

Readable | yes
Writable | no
Construct | no
Construct only | no